#!/bin/bash

command -v docker-compose >/dev/null 2>&1 || { echo >&2 "L'outil docker-compose n'est pas présent, cf https://docs.docker.com/compose/install/"; exit 1;}

###### Seules variables à modifier ######
export GIREF_HOSTNAME=votre_machine
export VOLUME=le_dossier_a_monter
export ANYCONNECT_USER=votre_idul
export USER_ID=id_user_giref
##########################################


# Ne pas éditer le reste 
export ANYCONNECT_SERVER=vpn.ulaval.ca
if [ "$1" == "up" ]; then
	echo -n "Veuillez rentrer votre mot de passe pour ${ANYCONNECT_SERVER} :"
	read -s $password
	echo
	export ANYCONNECT_PASSWORD=$password
	docker-compose up -d
	echo "Vous pouvez vous connecter à http://${GIREF_HOSTNAME}/theia/"
elif [ "$1" == "down" ]; then
	echo "Arrêt de theia..."
	docker-compose down
fi
